Cell

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jxl
Interface Cell

All Known Subinterfaces:
  BooleanCell, BooleanFormulaCell, DateCell, DateFormulaCell, ErrorCell, ErrorFormulaCell, FormulaCell, LabelCell, NumberCell, NumberFormulaCell, StringFormulaCell, WritableCell

All Known Implementing Classes:
  Blank, jxl.write.biff.BlankRecord, Boolean, jxl.write.biff.BooleanRecord, jxl.write.biff.CellValue, jxl.write.biff.DateRecord, DateTime, Formula, jxl.write.biff.FormulaRecord, Label, jxl.write.biff.LabelRecord, Number, jxl.write.biff.NumberRecord

    public interface Cell

Represents an individual Cell within a Sheet. May be queried for its type and its content

Method Summary
`CellFeatures` | `getCellFeatures()` Gets any special cell features, such as comments (notes) or cell validation present for this cell
`CellFormat` | `getCellFormat()` Gets the cell format which applies to this cell Note that for cell with a cell type of EMPTY, which has no formatting information, this method will return null.
`int` | `getColumn()` Returns the column number of this cell
`java.lang.String` | `getContents()` Quick and dirty function to return the contents of this cell as a string.
`int` | `getRow()` Returns the row number of this cell
`CellType` | `getType()` Returns the content type of this cell
`boolean` | `isHidden()` Indicates whether or not this cell is hidden, by virtue of either the entire row or column being collapsed

Method Detail

### getRow

    int getRow()

  Returns the row number of this cell

  Returns:
    the row number of this cell

### getColumn

    int getColumn()

  Returns the column number of this cell

  Returns:
    the column number of this cell

### getType

    CellType getType()

  Returns the content type of this cell

  Returns:
    the content type for this cell

### isHidden

    boolean isHidden()

  Indicates whether or not this cell is hidden, by virtue of either the entire row or column being collapsed

  Returns:
    TRUE if this cell is hidden, FALSE otherwise

### getContents

    java.lang.String getContents()

  Quick and dirty function to return the contents of this cell as a string. For more complex manipulation of the contents, it is necessary to cast this interface to correct subinterface

  Returns:
    the contents of this cell as a string

### getCellFormat

    CellFormat getCellFormat()

  Gets the cell format which applies to this cell Note that for cell with a cell type of EMPTY, which has no formatting information, this method will return null. Some empty cells (eg. on template spreadsheets) may have a cell type of EMPTY, but will actually contain formatting information

  Returns:
    the cell format applied to this cell, or NULL if this is an empty cell

### getCellFeatures

    CellFeatures getCellFeatures()

  Gets any special cell features, such as comments (notes) or cell validation present for this cell

  Returns:
    the cell features, or NULL if this cell has no special features

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD